summaryrefslogtreecommitdiff
path: root/user/rpcbind/rpcbind.initd
diff options
context:
space:
mode:
Diffstat (limited to 'user/rpcbind/rpcbind.initd')
-rw-r--r--user/rpcbind/rpcbind.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/user/rpcbind/rpcbind.initd b/user/rpcbind/rpcbind.initd
new file mode 100644
index 000000000..b979c2226
--- /dev/null
+++ b/user/rpcbind/rpcbind.initd
@@ -0,0 +1,25 @@
+#!/sbin/openrc-run
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-nds/rpcbind/files/rpcbind.initd,v 1.1 2007/12/29 09:13:55 vapier Exp $
+
+depend() {
+ use net
+ before inetd xinetd
+ after firewall
+ provide portmap
+}
+
+start() {
+ ebegin "Starting rpcbind"
+ start-stop-daemon --start --quiet --exec /sbin/rpcbind \
+ -- ${RPCBIND_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping rpcbind"
+ start-stop-daemon --stop --quiet --exec /sbin/rpcbind
+ eend $?
+}
+